import { useRequest } from "@/use/useHttp"

/**
 * 售后订单列表
 */
export const GetSaleOrderListApi = () => {
    return useRequest({
        url: `/v1/mall/returnApplyOrder/list`,
        method: "get",
    })
}

/**
 * 申请售后订单
 */
 export const ReturnApplyOrderApi = () => {
    return useRequest({
        url: `/v1/mall/returnApplyOrder`,
        method: "post",
    })
}

/**
 * 取消退货
 */
 export const ReturnApplyOrderCancelApi = () => {
    return useRequest({
        url: `/v1/mall/returnApplyOrder/cancel`,
        method: "post",
    })
}

/**
 * 售后订单详情
 */
 export const SaleOrderOrderDetailApi = () => {
    return useRequest({
        url: `/v1/mall/returnApplyOrder`,
        method: "get",
    })
}